/**** JäPI-sovellus ****/
/* Suunnittelun lähtökohtana on mobile-first. Eli css-tyylit määritellään mobiilinäkymää ajatellen. 
@media queryllä määritellään min-width käyttäen isompien näyttöjen näkymän tarvitsemat muutokset.*/

/*** Käytössä olevat värit ***/
/*
JäPI-sininen: #0165B0
JäPI-vaalea oranssi: #EC642A
JäPI-tumma oranssi: #C84717
JäPI-täyttö: #F8F8F8
Väärin väri -tumma: #b30000
Oikein väri -tumma: #0f9300
Väärin väri -kirkas: #e20000
Oikein väri -kirkas: #16d600

Käytetyt fontit:
Otsikot: Montserrat
Leipäteksti: Open Sans, Arial(jos muita ei saatavilla)
*/

/* Tuodaan käyttöön Open Sans fontti normaaleille teksteille */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');

/* Tuodaan käyttöön Montserrat fontti otsikoille */
@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

/*** Yleiset ***/
body {
    font-family: 'Open Sans', Verdana, Tahoma, sans-serif;
}

main {
    padding-top: 26px;
}

h1, h2, h3, h4, h5 {
    font-family: 'Montserrat', Arial, Helvetica, sans-serif;
}

/*** Navigointi ***/
header {
    background-color: #333;
    background-image: url("../img/japi-navbar.png");
    background-repeat: repeat-x;
    color: #fff;
    height: 79px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    font-size: 36px;
    background-color: #fff;
    height: 86px;
    margin-left: 34px;
}

.logo a {
    text-decoration: none;
    color: #000000;
}

.logo a:hover {
    color: #ff9900;
}

.japi-logo {
    width: 164px; 
    height: auto;
    margin-top: -10px;
}

.helper-header {
    font-size: 20px;
    font-weight: bold;
    color: #EC642A;
    text-shadow: 1px 2px #ffb99b;
    margin: -5px 0px 10px 55px;
    cursor: default;
}

.nav-links {
    display: none; /* Hide the navigation links on smaller screens */
    position: absolute;
    top: 110px;
    left: 0;
    width: 100%;
    background-color: #ec642a;
    z-index: 10;
}

.nav-links.show {
    display: flex; /* Show the navigation links when the menu is open */
}

.nav-links ul {
    list-style: none;
    padding: 0;
    display: flex;
    margin: 0px;
    flex-direction: column;
    width: 100%;
    text-align: center;
}

.nav-links li {
    border-bottom: 2px solid #ffffff;
}

.nav-links a {
    text-decoration: none;
    color: #fff;
    font-size: 1.2em;
    display: block;
    font-family: 'Montserrat', Arial, Helvetica, sans-serif;
    padding: 10px 0px;
}

.nav-links a:hover {
    color: #EC642A;
    background-color: #fff;
}

.nav-links .active {
    color: #ffffff;
    font-weight: bold;
    background-color: #a43a13;
}

.menu-toggle {
    font-size: 34px;
    cursor: pointer;
    display: block; /* Hidden by default on larger screens */
    border-radius: 4px;
    padding: 0px 4px;
    margin-right: 16px;
    align-self: flex-start;
    margin-top: 8px;
}

.menu-toggle:hover {
    border-color: #ffffff;
    color: #ffffff;
    border: 2px solid #fff;
    background-color: #EC642A;
}

/** About nappi **/
.about-button {
    float: right;
    position: fixed;
    bottom: 10px;
    right: 10px;
}

/*** Etusivu ***/
.etusivunSisalto {
    display: flex;
    flex-direction: column;
}

/** Päivän anagrammi **/
.paivan-anagrammi {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
}

.anagrammi-otsikko {
    color: #EC642A;
    font-size: 20px;
    margin: 10px 0px 0px 0px;
    cursor: default;
}

.anagrammi-text {
    text-shadow: 1px 2px #ffb99b;
}

#anagrammi-place {
    align-items: center;
    text-transform: uppercase;
    font-family: 'Montserrat', Arial, Helvetica, sans-serif;
    color: #ffffff;
    font-size: 18px;
    background-color: #0165B0;
    box-shadow: 1px 1px 4px 1px #b6b5b5;
    padding: 10px 20px;
    min-height: 18px;
    height: auto;
    text-align: center;
    min-width: 200px;
    width: auto;
    max-width: 230px;
    cursor: default;
}

#anagrammi-input {
    box-shadow: 0 0 4px 1px #888 inset;
    background: #fff;
    border-width: 0px;
    font-size: 16px;
    min-width: 258px;
    height: 20px;
    padding: 6px;
    outline-color: #EC642A;
    text-transform: uppercase;
}

::placeholder {
    text-transform: none;
    font-size: 18px;
}

/** Etusivun navigointi **/
#etusivunNavigointi {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 28px;
    margin-bottom: 20px; 
}

.nappi-container {
    margin-top: 20px;
}

.etusivunNavNappi {
    display: block;
    background: #EC642A;
    background-image: -webkit-linear-gradient(top, #EC642A, #C84717);
    background-image: -moz-linear-gradient(top, #EC642A, #C84717);
    background-image: -ms-linear-gradient(top, #EC642A, #C84717);
    background-image: -o-linear-gradient(top, #EC642A, #C84717);
    background-image: linear-gradient(to bottom, #EC642A, #C84717);
    -webkit-border-radius: 30;
    -moz-border-radius: 30;
    box-shadow: 0 3px 5px 1px #c2c2c2;
    border-radius: 30px;
    color: #ffffff;
    font-size: 20px;
    padding: 14px 20px 14px 20px;
    text-decoration: none;
    width: 70vw;
    text-align: center;
}

.etusivunNavNappi:hover {
    background: #C84717;
    background-image: -webkit-linear-gradient(top, #C84717, #EC642A);
    background-image: -moz-linear-gradient(top, #C84717, #EC642A);
    background-image: -ms-linear-gradient(top, #C84717, #EC642A);
    background-image: -o-linear-gradient(top, #C84717, #EC642A);
    background-image: linear-gradient(to bottom, #C84717, #EC642A);
    text-decoration: none;
}

/*** Peleille yhteisiä muotoiluja ***/

/** Valikoiden napit **/
.menu-button {
    font-size: 20px;
    width: 220px;
    height: 60px;
    border-style: none;
    border-radius: 40px;
    box-shadow: 0 3px 12px 0 rgba(0,0,0,0.2), 0 3px 3px 0 rgba(0,0,0,0.19);
    margin-bottom: 20px;
    cursor: pointer;
    line-height: 60px;
    text-align: center;
}

.menu-button:hover {
    background-color: #F8F8F8;
    box-shadow: 0 6px 20px rgba(0,0,0,0.25);
    border: 1px solid #000000;
    color: #000000;
}

.menu-button:hover>img {
    filter: invert(100%);
}

a.menu-button {
    display: block; /* Ensures the link behaves as a block element */
    text-align: center; /* Centers the text horizontally */
    line-height: 60px; /* Centers the text vertically */
    text-decoration: none; /* Removes default underline from the link */
}

.orange {
    background-color: #EC642A;
    background-image: linear-gradient(to bottom, #EC642A, #C84717);
    color: #FFFFFF;
}

.dark-orange {
    background-color: #C84717;
    color: #FFFFFF;
}

.blue {
    background-color: #0165B0;
    background-image: linear-gradient(to bottom, #0085eb, #0165B0);
    color: #FFFFFF;
}

.orange-back {
    background-color: #C84717;
    background-image: linear-gradient(to bottom, #e33e00, #C84717);
    color: #FFFFFF;
}

.dark-orange {
    background-color: #C84717;
    color: #FFFFFF;
}

/** Oikein ja väärin värit **/
.right-answer {
    background-image: linear-gradient(to bottom, #16d600, #0f9300);
    color: #FFF;
}

.wrong-answer {
    background-image: linear-gradient(to bottom, #e20000, #b30000);
    color: #FFF;
}

.info-icon {
    position: fixed;
    right: 20px;
    bottom: 20px;
}

.info-css {
    margin-right: auto;
    margin-left: auto;
    padding-right: 15px;
    padding-left: 15px;
    top: 169px;
    max-width: 600px;
    width: auto;
    
}

.info-css>h2 {
    font-size: 20px;
}

.info-image {
    max-width: 100%;
    height: auto;
}

@media (min-width: 800px) {

    .anagrammi-otsikko {
        margin: 20px 0px 0px 0px;
        font-size: 22px;
    }

    #anagrammi-place {
        margin: 25px 0px 20px 0px;
        padding: 13px;
        height: auto;
        min-width: 270px;
        font-size: 20px;
    }

    .nappi-container {
        margin-bottom: 5px;
    }

    .etusivunNavNappi {
        padding: 18px;
    }
}

@media only screen and (min-width: 1030px) {

    /*** Etusivu ***/
    .etusivunSisalto {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        margin-top: 8%;
    }

    /** Päivän anagrammi **/
    .paivan-anagrammi {
        height: 300px;
        padding: 20px;
        margin-top: 80px;
        padding: 60px 10px 0px 10px;
        text-align: center;
    }

    .anagrammi-otsikko {
        text-align: center;
        margin-bottom: 10px;
        font-size: 24px;
    }

    #anagrammi-text {
        display: block;
    }

    #anagrammi-place {
        height: auto;
        min-width: 280px;
        padding: 13px;
        font-size: 22px;
    }

    #anagrammi-input {
        height: 25px;
        margin: 10px 0px 0px 0px;
    }

    /*** Navigointi ***/
    .nav-links {
        display: block; /* Hide the navigation links on smaller screens */
        position: static;
        width: auto;
        background-color: transparent;
        height: 100%;
        
    }
    
    .nav-links ul {
        flex-direction: row;
        height: 100%;
    }
    
    .nav-links li {
        margin: 0px 0px 0px 0px;
        display: flex;
        border: none;
    }

    .nav-links li a {
        padding: 20px 10px 0px 10px;
    } 
    
    .nav-links .active {
        background-color: transparent;
        background-image: url("../img/japi-navbar-active.png");
    }

    .menu-toggle {
        display: none; /* Show the burger menu icon on smaller screens */
    }

    /** Etusivun navigointi **/
    .etusivunNavNappi {
        width: 50vw;
        height: 2em;
        line-height: 2em;
        border-radius: 50px;
    }

    .info-css {
        min-width: 1000px;
    }

}